/*
 * $Id: LongValidator.java,v 1.1 2006/04/11 16:14:32 sugimotokenichi Exp $
 * Copyright (C) 2006 SUGIMOTO Ken-ichi
 * 作成日: 2006/03/08
 */
package feat2.validation;

import java.util.Map;

import org.apache.commons.validator.GenericValidator;

/**
 * long型であることを検証する。
 * @author SUGIMOTO Ken-ichi
 */
public class LongValidator implements SingleValueValidator {

    public boolean validate(String value) {

        if ( ValidatorUtil.isBlankOrNull(value) )
            return true;

        return GenericValidator.isLong(value);

    }

    public String getDefaultMessageId() {
        return "error.validation.long";
    }

    public Map getKeyrowds() {
        return null;
    }


}
